Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.auth
Interface SessionValidationFilterChain

    public interface SessionValidationFilterChain

This interface is used to call the next element in the session validation filter chain. A reference is passed to the `com.ibm.portal.auth.SessionValidationFilter` SPI. If an implementation of this SPI calls this method, the corresponding method of the next SessionValidationFilter implementation as defined in the session validation filter chain (as a property of the Portal Authentication Service) is called. NOTE: This API may only be used in the scope of an HTTP request in WebSphere Portal, i.e. within a theme. The API can not be invoked directly by a custom servlet.

Since:
  6.1

Method Summary
`void` | `validateSession(HttpServletRequest req, HttpServletResponse resp, FilterChainContext portalSessionValidationContext)` Calls the session validation method of the next session validation filter in the session validation filter chain.

Method Detail

### validateSession

    void validateSession(HttpServletRequest req,
                         HttpServletResponse resp,
                         FilterChainContext portalSessionValidationContext)
                         throws SessionValidationException

  Calls the session validation method of the next session validation filter in the session validation filter chain.

  Parameters:
    `req` - The servlet request.
    `resp` - The servlet response.
    `portalSessionValidationContext` - A `FilterChainContext` object that can be used to share information between the session validation filter implementations.
  Throws:
    `SessionValidationException` - This generic exception is thrown for all kinds of exceptions that can occur during the session validation process.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD